org.keycloak.audit.mongo

## Class MongoAuditProviderFactory

- java.lang.Object
- - org.keycloak.audit.mongo.MongoAuditProviderFactory

- All Implemented Interfaces:
    AuditProviderFactory, ProviderFactory<AuditProvider>

      public class MongoAuditProviderFactory
      extends Object
      implements AuditProviderFactory

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoAuditProviderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `AuditProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MongoAuditProviderFactory

          public MongoAuditProviderFactory()

  - ### Method Detail

    - #### create

          public AuditProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<AuditProvider>`

    - #### init

          public void init(Config.Scope config)

      Specified by:
        `init` in interface `ProviderFactory<AuditProvider>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ProviderFactory<AuditProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<AuditProvider>`

Copyright © 2014. All Rights Reserved.